Ordexs API v1 Get an API key

Bulk

Retrieve a bulk job

GEThttps://api.ordexs.com/v1/bulk_jobs/{job_id}
Any API key

Path parameters

  • job_idstringRequired

    starts with blk_

Returns

200 OK · The job. BulkJob

  • idstring

    starts with blk_

  • objectstring

    always "bulk_job"

  • kindstring

    One of orders.create, orders.update, products.create, products.update, inventory.adjust

  • statusstring

    One of queued, running, completed, cancelled

  • totalinteger
  • processedinteger
  • succeededinteger
  • failedinteger
  • created_atstring

    ISO 8601 date-time, UTC

  • started_atstring or null

    ISO 8601 date-time, UTC

  • finished_atstring or null

    ISO 8601 date-time, UTC

  • expires_atstring or null

    When the job and its results are deleted.

    ISO 8601 date-time, UTC

  • livemodeboolean

Errors

Every error has the same shape. This endpoint can answer with: